package br.ufes.inf.oak.estoque

import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

class Compras (_nf : Int) {
	private[this] var numerofiscal : Int = _nf;
	private[this] var compras : java.util.Map[Int, java.util.List[Compra]] = new java.util.HashMap[Int, java.util.List[Compra]]();
	
	def getCompras () : java.util.Map[Int, java.util.List[Compra]] = {
	  return this.compras;
	}
	
	def addCompra (c : Compra) : Unit = {
	  var ls : java.util.List[Compra] = this.compras.get(c.getCodigoProduto());
	  
	  if(ls == null) {
	    var lsd : java.util.List[Compra] = new java.util.LinkedList[Compra]();
	    lsd.add(c);
	    this.compras.put(c.getCodigoProduto(), lsd);
	    
	    return;
	  }
	  
	  ls.add(c);
	  this.compras.put(c.getCodigoProduto(), ls);
	}
	
	def getNotaFiscal () : Int = {
	  return this.numerofiscal;
	}
}