package br.ufes.inf.oak.estoque

import java.util.HashMap;
import java.util.Map;

class MapaCompras {
  private[this] var compras : java.util.Map[Int, Compras] = new java.util.HashMap[Int, Compras];
  
  private[this] def eCompra (c : Compra) : Boolean = {
    return this.compras.containsKey(c.getNotaFiscal());
  }
  
  def addCompra (c : Compra) : Unit = {
    if(eCompra(c)) {
      var cp : Compras = this.compras.get(c.getNotaFiscal());  
      cp.addCompra(c);
      this.compras.put(cp.getNotaFiscal(), cp);
      
      return;
    }
    
    var cp : Compras = new Compras(c.getNotaFiscal());
    cp.addCompra(c);
    this.compras.put(cp.getNotaFiscal(), cp);
  }
  
  def getMapaCompras () : java.util.Map[Int, Compras] = {
	  return this.compras;
  }
}