package br.ufes.inf.oak.fornecedor

class Fornecedor (_codigo : Int, _nome : String, _endereco : String, _telefone : String, _cnpj : String, _pessoacontato : String) extends Comparable[Fornecedor] {
	private[this] var codigo : Int = _codigo;
	private[this] var nome : String = _nome;
	private[this] var endereco : String = _endereco;
	private[this] var telefone : String = _telefone;
	private[this] var cnpj : String = _cnpj;
	private[this] var pessoacontato : String = _pessoacontato;
	
	def getCodigo () : Int = {
	  return this.codigo;
	}
	
	def getNome () : String = {
	  return this.nome;
	}
	
	override def toString () : String = {
	  return this.nome + ";" + this.cnpj + ";" + this.pessoacontato + ";" + this.telefone;
	}
	
	override def compareTo (f1 : Fornecedor) : Int = {
		return this.nome.compareTo(f1.getNome());
	}
}