package br.ufes.inf.oak.fornecedor

import java.util.Map;
import java.util.HashMap;

class MapaFornecedores {
	private[this] var mapafornecedores : java.util.Map[Int, Fornecedor] = new java.util.HashMap[Int, Fornecedor]();
	
	def addFornecedor (f : Fornecedor) : Unit = {
	  val cod : Int = Integer2int(new Integer(f.getCodigo()));
	  
	  this.mapafornecedores.put(cod, f);
	}
	
	def getFornecedores () : java.util.Map[Int, Fornecedor] = {
		return this.mapafornecedores;
	}
}