package br.ufes.inf.oak.clientes

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

abstract class Cliente (_cod : Int, _nome : String, _end : String, _dt : Date, _tel : String, _tp : Char) {
	private[this] var codigo : Int = _cod;
	private[this] var nome : String = _nome;
	private[this] var endereco : String = _end;
	private[this] var datacadastro : Date = _dt;
	private[this] var telefone : String = _tel;
	private[this] var tipo : Char = _tp;
	
	def getNome () : String = {
		return this.nome;
	}
	
	def getCodigo () : Int = {
		return this.codigo;
	}
	
	def getTipo () : Char = {
		return this.tipo;
	}
	
	def getCPFouCNPJ () : String;
	
	override def toString () : String = {
	  val df : java.text.DateFormat = new java.text.SimpleDateFormat("dd/MM/yyyy");
	  
	  return this.nome + ";" + this.tipo + ";" + this.getCPFouCNPJ() + ";" + this.telefone + ";" + df.format(this.datacadastro);
	}
}