package br.ufes.inf.oak.venda;

import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

class MapaVendas {
	var vendas : Map[Int, java.util.List[Venda]] = new java.util.HashMap[Int, java.util.List[Venda]];
	
	def eVenda (v : Venda) : Boolean = {
	  return this.vendas.containsKey(v.getCodigoCliente());
	}
	
	def getMapaVendas () : java.util.Map[Int, java.util.List[Venda]] = {
	  return this.vendas;
	}
	
	def addVenda (v : Venda) : Unit = {
	  if(eVenda(v)) {
	    var lv : List[Venda] = this.vendas.get(v.getCodigoCliente());
	    lv.add(v);
	    this.vendas.put(v.getCodigoCliente(), lv);
	    
	    return;
	  }
	  
	  var lv : java.util.List[Venda] = new java.util.LinkedList[Venda]();
	  lv.add(v);
	  this.vendas.put(v.getCodigoCliente, lv);
	}
}